

.hide {
  display: none !important;
}
.show {
  display: block !important;
}


body {
    font-size: .875rem;
    background-color: #343a40 !important;
    position: relative;
     height: 100% !important;

}

main  {
    background-color: whitesmoke;

}
.page-content {
    
    
}


.text .feather {
  width: 16px;
  height: 16px;
  vertical-align: text-bottom;
}

/*
 * Sidebar
 */

.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  z-index: 100; /* Behind the navbar */
  padding: 0;
  box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

.sidebar-sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 48px; /* Height of navbar */
  height: calc(100vh - 48px);
  padding-top: .5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

.sidebar .nav-link {
  font-weight: 500;
  color: #333;
}

.sidebar .nav-link .feather {
  margin-right: 4px;
  color: #999;
}

.sidebar .nav-link.active {
  color: #007bff;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
  color: inherit;
}

.sidebar-heading {
  font-size: .75rem;
  text-transform: uppercase;
}


.cancel-tag {
    position: absolute;
    top: 0px;
    right: 0px;
    background: #c40034;
    color: white;
    font-weight: bold;
    padding: 4px;
    /*box-shadow: 1px 1px 1px black;*/
    font-family: sans-serif;
}

.postpone-tag {
    position: absolute;
    top: 0px;
    right: 0px;
    background: #f99e1c;
    color: white;
    font-weight: bold;
    padding: 4px;
    /*box-shadow: 1px 1px 1px black;*/
    font-family: sans-serif;
}


.event-view{
  right: auto;
  position: initial;
  text-align: center;
  font-size: xx-large;
}



.sticky-top-offset {
    top: 58px;
}

.form-control-dark:focus {
  border-color: transparent;
  box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}


/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}


input.labelHilight-radio:checked + .labelHilight-label {
    background: lightblue;
}

label {
    color: gray; 
    font-size: 10pt;
}
.required::after {
    content: ' *';
    color: red;
}

label.custom-control-label {
    color: black; 
    font-size: 10pt;
}



.hr-text {
  line-height: 1em;
  position: relative;
  outline: 0;
  border: 0;
  color: black;
  text-align: center;
  height: 1.5em;
  opacity: .5;
}
.hr-text:before {
  content: '';
  background: linear-gradient(to right, transparent, #818078, transparent);
  position: absolute;
  left: 0;
  top: 50%;
  width: 100%;
  height: 1px;
}
.hr-text:after {
  content: attr(data-content);
  position: relative;
  display: inline-block;
  color: black;
  padding: 0 .5em;
  line-height: 1.5em;
  color: #818078;
  background-color: #fcfcfa;
}

:root {
  --input-padding-x: .75rem;
  --input-padding-y: .75rem;
}

.form-label-group {
  position: relative;
  margin-bottom: 1rem;
}

.form-label-group > input,
.form-label-group > label {
  padding: var(--input-padding-y) var(--input-padding-x);
}

.form-label-group > label {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  margin-bottom: 0; /* Override default `<label>` margin */
  line-height: 1.5;
  color: #495057;
  border: 1px solid transparent;
  border-radius: .25rem;
  transition: all .1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
  color: transparent;
}

.form-label-group input:-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-ms-input-placeholder {
  color: transparent;
}

.form-label-group input::-moz-placeholder {
  color: transparent;
}

.form-label-group input::placeholder {
  color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
  padding-top: calc(var(--input-padding-y) + var(--input-padding-y) * (2 / 3));
  padding-bottom: calc(var(--input-padding-y) / 3);
}

.form-label-group input:not(:placeholder-shown) ~ label {
  padding-top: calc(var(--input-padding-y) / 3);
  padding-bottom: calc(var(--input-padding-y) / 3);
  font-size: 12px;
  color: #777;
}


.table-borderless-top th {
    border-top: none ;
}

.table-header-normal th {
    font-weight:normal !important; 
}

table.detailsTable  {
    border-spacing: 1px;
    border-collapse: separate;
    background-color: #ddd;


}
.detailsTable td {
    padding:5px;
    padding-left: 10px;
    background-color: white;
}
.detailsTable th {
    padding:5px;
    padding-left: 10px;
    background-color: white;
    text-transform: uppercase;
    font-size: 8pt;
}

table.itemInfoTable td   {
  font-size: 12pt;
  border-top: #ddd solid thin;
}

table.itemInfoTable td  P {
    line-height: 1.5;
}
table.itemInfoTable tfoot td    {
  border:none;
}

table.itemInfoTable tr:last-of-type td {
    border-bottom: #ddd solid thin;
}
table.itemInfoTableWithExtraTr tr:nth-child(even) td {
    border-top: none;
    color: gray;
    
}   
/* Icon when the collapsible content is shown */
.rowtoggle:before {
  font-family: 'FontAwesome';
  content: "\f0d7";
  margin: 0px !important;
  padding: 0px !important;
  color:gray;
}

/* Icon when the collapsible content is hidden */
.rowtoggle.collapsed:before {
    content: "\f0da";
/*    margin-right: 15px;
    padding-left: 10px;*/

}
/* Icon when the collapsible content is shown */
.rowtoggle-right:after {
  font-family: 'FontAwesome';
  content: "\f0d7";
  margin: 0px !important;
  padding: 0px !important;
  color:gray;
}

/* Icon when the collapsible content is hidden */
.rowtoggle-right.collapsed:after {
    content: "\f0d9";
/*    margin-right: 15px;
    padding-left: 10px;*/

}
table.itemInfoTableWithExtraTr tr:nth-child(even)  {
        /*background-color: #feffde;*/
        
}   
table.itemInfoTableWithExtraTr tr:nth-child(even) td li.active a {
        background-color: #feffde;
        font-weight: bold;
}   
.itemInfoTable-more .row {
  border-top: #ddd solid thin !important;
  padding-top:10px;
  padding-bottom:10px;
}   

.itemInfoTable-more .row:first-of-type {
  border-top: none !important;
}   
.itemInfoTable-more .row:last-of-type {
  border-bottom: none !important;
}   
.itemInfoTable-more .row .itemInfoTable-more-col {
    padding-bottom: 5px;

} 

table.itemInfoTable    {
  font-size: 1.2em; line-height: 2.5em; margin-bottom: 1.25em;
  width:100%;
}
table.itemInfoTable thead th   {
  border-bottom: #ddd solid thin;
  text-transform: uppercase;
  font-size: 9pt;
  width:0px;
  /*font-weight: bold;*/
  vertical-align: text-top;
}

table.itemInfoTable tbody th   {
  border-bottom: #ddd solid thin;
  text-transform: uppercase;
  font-size: 9pt;
  width:30%;
  /*font-weight: bold;*/
  vertical-align: text-top;
}
table.itemInfoTable tfoot th   {
  text-transform: uppercase;
  font-size: 9pt;
  /*font-weight: bold;*/
  vertical-align: text-top;
}
table.itemInfoTable tfoot td, table.itemInfoTable tfoot th   {
  border-top: #ddd solid 1px;;
  padding-top: 10px;
}
table.itemInfoTable tfoot tr:first-of-type   {
  border-top: #ddd solid 3px;
}

table.itemInfoTable input[type="checkbox"] {
  background: #4fbe79;
  border: #7f83a2 1px solid;
  width: 30px; 
  height: 30px;
  margin-top: 15px;
  margin-right: 10px;
  margin-left: 10px;
}


table.itemInfoTable.cartItemList tr {
  vertical-align: text-top;
}
table.itemInfoTable.cartItemList td {
  padding: 5px;
}

table.itemInfoTable.cartItemList h4 {
  margin-bottom: -5px;
}


.shadow-strip {
    left: 0;
    right: 0;
    width: 100%;
    bottom: -10px;
    height: 10px;
}

.shadow-strip-top {

  background-image: -webkit-linear-gradient(top, #fff 0%, #f8f8f8 100%);
  background-image:      -o-linear-gradient(top, #fff 0%, #f8f8f8 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#f8f8f8));
  background-image:         linear-gradient(to bottom, #fff 0%, #f8f8f8 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff8f8f8', GradientType=0);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  background-repeat: repeat-x;
        
        
    
}
/*.shadow-strip-top {
    background-image:  url('images/shadow-strip.png') !important ;
    background-size: 140% 10px;
    background-repeat: no-repeat;
    background-position: center top 
    
}*/
.shadow-strip-bottom {
    background-image:  url('images/shadow-strip-up.png') !important ;
    background-size: 140% 10px;
    background-repeat: no-repeat;
    background-position: center bottom ;
        
        

}
.shadow-section {
        

}

.optionBox {
   border: solid silver 1px;
/*  padding: 10px;
  padding-top: 20px;
  padding-left: 30px;
  padding-right: 20px;*/
  /*background-color: #f8f8f8;*/
  margin-bottom: 20px;
  display: block;

  background-image: -webkit-linear-gradient(top, #f1f1f1 0%, #f8f8f8 100%);
  background-image:      -o-linear-gradient(top, #f1f1f1 0%, #f8f8f8 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#f8f8f8));
  background-image:         linear-gradient(to bottom, #f1f1f1 0%, #f8f8f8 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fff1f1f1', endColorstr='#fff8f8f8', GradientType=0);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  background-repeat: repeat-x;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
  /*padding: 10px;*/

}

.optionBoxNavTabs  .nav-item.active {
    background-color: #f1f1f1;
    border-bottom-color: #f1f1f1; 
    color: black;
}

.optionBoxNavPills .nav-link.active {
    background-color: #f1f1f1;
    border: solid silver 1px;

    color: black;
}


.optionBox2 {
  border: solid silver 1px;
  padding: 10px;
  padding-top: 20px;
  padding-left: 30px;
  padding-right: 20px;
  /*background-color: #f8f8f8;*/
  /*display: block;*/
  cursor: pointer;

  background-image: -webkit-linear-gradient(top, #fff 0%, #f8f8f8 100%);
  background-image:      -o-linear-gradient(top, #fff 0%, #f8f8f8 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#f8f8f8));
  background-image:         linear-gradient(to bottom, #fff 0%, #f8f8f8 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff8f8f8', GradientType=0);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  background-repeat: repeat-x;
  border-radius: 4px;
  /*-webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);*/
  /*box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);*/
  padding: 10px;

}


.optionBoxDashed {
  border: silver dashed 2px;
 
  /*background-color: #f8f8f8;*/
  margin-bottom: 20px;
  display: block;
 cursor: pointer;
/*  background-image: -webkit-linear-gradient(top, #fff 0%, #f8f8f8 50%);
  background-image:      -o-linear-gradient(top, #fff 0%, #f8f8f8 50%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#f8f8f8));
  background-image:         linear-gradient(to bottom, #fff 0%, #f8f8f8 50%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff8f8f8', GradientType=0);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  background-repeat: repeat-x;*/
  border-radius: 4px;
/*  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);*/
  /*box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);*/

}


.modal-content {
    background-image: -webkit-linear-gradient(top, #fff 0%, #f8f8f8 100%);
  background-image:      -o-linear-gradient(top, #fff 0%, #f8f8f8 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#f8f8f8));
  background-image:         linear-gradient(to bottom, #fff 0%, #f8f8f8 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff8f8f8', GradientType=0);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  background-repeat: repeat-x;
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 5px rgba(0, 0, 0, .075);
}



.imagediv-default{
 height: 90px; 
 width: 90px; 
 background-size: 100%; 
 margin: 5px; 
 background-repeat: no-repeat; 
 background-position: center; 
 background-color: white;
}
.imagediv-profilepic{
 height: 90px; 
 width: 90px; 
 background-size: 100%; 
 margin: 5px; 
 background-repeat: no-repeat; 
 background-position: center; 
 border-radius: 50%;
 background-color: white;
}
.imagediv-bigpic{
 height: 190px; 
 width: 100% !important; 
 background-size: 100%; 
 margin: 5px; 
 background-repeat: no-repeat; 
 background-position: center; 
 border-radius: 50%;
 background-color: white;
}
.imagediv-listpic{
 height: 40px; 
 width: 40px; 
 background-size: 100%; 
 margin: 5px; 
 margin-left: 0px;
 background-repeat: no-repeat; 
 background-position: center; 
 border-radius: 50%; 
}


.toggler-icon-dots:after {
  content: '\2807';
}

.list-group {
    border-right: 2px solid silver;
}

.list-group-item {
    padding: 3px 10px;
        
}

.list-group .active{
    padding: 20px 10px;
    background-color: silver;
    font-weight: bold;
    color:black;
    border: 1px solid silver;
        
}

.sectionAnchor{
    margin-bottom: 200px;
    margin-top: -150px;
}


 ol.dynamic-children li {
        counter-increment: list;
        list-style-type: none;
        position: relative;
        padding-bottom: 0px;

    }
    /* Outout the numbers using the counter() function, but use a custom color, and position the numbers how we want */
    ol.dynamic-children li:before {
        color: gray;
        content: counter(list) ".";
        left:-52px;
        position: absolute;
        text-align: right;
        width: 26px;
        font-size: 2em;
    }
    
    
    .url-display {
        overflow-x: auto;
        white-space: pre-wrap;
        white-space: -moz-pre-wrap;
        white-space: -pre-wrap;
        white-space: -o-pre-wrap;
        word-wrap: break-word;
        
    }
    

    .bg-info2 {
      background-color:lightyellow !important;
    }

    .bg-orange {
        background-color: #ec7601 !important
    }
    
    
    .bg-silver {
        background-color: silver !important
    }
    
    .bg-purple {
        background-color: purple !important
    }
    .text-black {
        color: #000000 !important
    }
    .text-orange {
        color: #ec7601 !important
    }
    
    .text-orange {
        color: #ec7601 !important
    }
    a.text-orange:focus, a.text-orange:hover {
        color: orangered !important
    }
    
    

    
    .btn-orange {
      color: #fff;
      background-color: #ec7601;
      border-color: orangered;
    }

    .btn-orange:hover {
      color: #fff;
      background-color: #ec7601;
      border-color: orangered ;
    }

    .btn-orange:focus, .btn-orange.focus {
      box-shadow: 0 0 0 0.2rem rgba(58, 176, 195, 0.5);
    }

    .btn-orange.disabled, .btn-orange:disabled {
      color: #fff;
      background-color: #ec7601;
      border-color: orangered;
    }

    .btn-orange:not(:disabled):not(.disabled):active, .btn-orange:not(:disabled):not(.disabled).active,
    .show > .btn-orange.dropdown-toggle {
      color: #fff;
      background-color: #0E71EB ;
      border-color: #10707f;
    }

    .btn-orange:not(:disabled):not(.disabled):active:focus, .btn-orange:not(:disabled):not(.disabled).active:focus,
    .show > .btn-orange.dropdown-toggle:focus {
      box-shadow: 0 0 0 0.2rem rgba(58, 176, 195, 0.5);
    }
    
    .btn-outline-orange {
        color: #ec7601;
        background-color: transparent;
        background-image: none;
        border-color: #ec7601
    }

    .btn-outline-orange:hover {
        color: #fff;
        background-color: #ec7601;
        border-color: #ec7601
    }

    .btn-outline-orange:focus,
    .btn-outline-orange.focus {
        box-shadow: 0 0 0 .2rem rgba(119, 204, 204, 0.5)
    }

    .btn-outline-orange.disabled,
    .btn-outline-orange:disabled {
        color: #0E71EB;
        background-color: transparent
    }

    .btn-outline-orange:not(:disabled):not(.disabled):active,
    .btn-outline-orange:not(:disabled):not(.disabled).active,
    .show>.btn-outline-orange.dropdown-toggle {
        color: #212529;
        background-color: #8ad3d3;
        border-color: #0E71EB
    }

    .btn-outline-orange:not(:disabled):not(.disabled):active:focus,
    .btn-outline-orange:not(:disabled):not(.disabled).active:focus,
    .show>.btn-outline-orange.dropdown-toggle:focus {
        box-shadow: 0 0 0 .2rem rgba(119, 204, 204, 0.5)
    }
    
    /*
        Testimonial Star Ratings
    */
    
    ul.rating-starz {
        list-style-type: none;
    }
    
    ul.rating-starz li {
        display: inline;
    }
    
    
    
    

    /* Small devices (landscape phones, 576px and up) */
    @media (min-width: 576px) {  
        .card-columns {
            column-count: 1;
            column-gap: 40px;
        }        

    }

    /* Medium devices (tablets, 768px and up) The navbar toggle appears at this breakpoint */
    @media (min-width: 768px) {  
        .card-columns {
            column-count: 2;
        }        

    }

    /* Large devices (desktops, 992px and up) */
    @media (min-width: 992px) { 
        .card-columns {
            column-count: 3;
        }        

    }

    /* Extra large devices (large desktops, 1200px and up) */
    @media (min-width: 1200px) {  
        .card-columns {
            column-count: 4;
        }        
    }

    
    
    .cursor-alias {cursor: alias;}
.cursor-all-scroll {cursor: all-scroll;}
.cursor-auto {cursor: auto;}
.cursor-cell {cursor: cell;}
.cursor-context-menu {cursor: context-menu;}
.cursor-col-resize {cursor: col-resize;}
.cursor-copy {cursor: copy;}
.cursor-crosshair {cursor: crosshair;}
.cursor-default {cursor: default;}
.cursor-e-resize {cursor: e-resize;}
.cursor-ew-resize {cursor: ew-resize;}
.cursor-grab {cursor: -webkit-grab; cursor: grab;}
.cursor-grabbing {cursor: -webkit-grabbing; cursor: grabbing;}
.cursor-help {cursor: help;}
.cursor-move {cursor: move;}
.cursor-n-resize {cursor: n-resize;}
.cursor-ne-resize {cursor: ne-resize;}
.cursor-nesw-resize {cursor: nesw-resize;}
.cursor-ns-resize {cursor: ns-resize;}
.cursor-nw-resize {cursor: nw-resize;}
.cursor-nwse-resize {cursor: nwse-resize;}
.cursor-no-drop {cursor: no-drop;}
.cursor-none {cursor: none;}
.cursor-not-allowed {cursor: not-allowed;}
.cursor-pointer {cursor: pointer;}
.cursor-progress {cursor: progress;}
.cursor-row-resize {cursor: row-resize;}
.cursor-s-resize {cursor: s-resize;}
.cursor-se-resize {cursor: se-resize;}
.cursor-sw-resize {cursor: sw-resize;}
.cursor-text {cursor: text;}
.cursor-w-resize {cursor: w-resize;}
.cursor-wait {cursor: wait;}
.cursor-zoom-in {cursor: zoom-in;}
.cursor-zoom-out {cursor: zoom-out;}


.input-group:focus-within {
  color: #212529;
  background-color: #fff;
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
  z-index: 3;
  border-radius: .25rem;
}

.input-group .form-control:focus {
  box-shadow: none !important;
}